[neon/neon/settings/Neon/release-lts] usr/lib/neon_update: fix skip logic

Harald Sitter null at kde.org
Thu Jun 17 14:20:05 BST 2021


Git commit 40ea237e87510574c050af141700712b1cd682f0 by Harald Sitter.
Committed on 17/06/2021 at 13:20.
Pushed by sitter into branch 'Neon/release-lts'.

fix skip logic

if timeout is 1 then clearly the skip should happen if the return value
is 0=keystroke=c=cancel=skip

weeks in unstable and nobody noticed. I'm certain there's really no
point in landing things in unstable first.

M  +1    -1    usr/lib/neon_update/neon_offline_skip.sh

https://invent.kde.org/neon/neon/settings/commit/40ea237e87510574c050af141700712b1cd682f0

diff --git a/usr/lib/neon_update/neon_offline_skip.sh b/usr/lib/neon_update/neon_offline_skip.sh
index a15141e..1f22b4b 100755
--- a/usr/lib/neon_update/neon_offline_skip.sh
+++ b/usr/lib/neon_update/neon_offline_skip.sh
@@ -9,7 +9,7 @@ if plymouth --ping; then
   plymouth display-message --text="$TXT0"
   plymouth display-message --text="$TXT1"
   timeout -s KILL 10s plymouth watch-keystroke --keys="cC"
-  if [ "$?" != "0" ]; then # timeout=1, keystroke=0
+  if [ "$?" = "0" ]; then # timeout=1, keystroke=0
     skip="yes"
   fi
   plymouth hide-message --text="$TXT1"


More information about the Neon-commits mailing list